'Base64±àÂë
#Include Once "inc/CrypToHash.bi"
Function Base64_Encode(pDat As String ) As String
    Dim iSize As Long ,F As ZString Ptr,By() As UByte    
    iSize = Len(pDat)
    If iSize Then
        ReDim by((iSize * 4 / 3) + 2)
        f=@by(0)
        Base64Encode(StrPtr(pDat), iSize, f)
    Return *f
    End If
End Function